hpp-corbaserver: hpp::core_idl::PathPlanner Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::core_idl::PathPlanner Interface Reference

`import"/local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/core_idl/path_planners.idl";`

## Public Member Functions
PathVector | solve () raises (Error)
void | startSolve () raises (Error)
void | tryConnectInitAndGoals () raises (Error)
void | oneStep () raises (Error)
PathVector | computePath () raises (Error)
PathVector | finishSolve (in PathVector path) raises (Error)
void | interrupt () raises (Error)
void | maxIterations (in size_type n) raises (Error)
void | timeOut (in value_type seconds) raises (Error)
Roadmap | getRoadmap () raises (Error)
void | stopWhenProblemIsSolved (in boolean enable) raises (Error)

## Member Function Documentation

## ◆ computePath()

PathVector hpp::core_idl::PathPlanner::computePath | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ finishSolve()

PathVector hpp::core_idl::PathPlanner::finishSolve | ( | in PathVector | path | ) |
raises | ( | Error
| ) |  |

## ◆ getRoadmap()

Roadmap hpp::core_idl::PathPlanner::getRoadmap | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ interrupt()

void hpp::core_idl::PathPlanner::interrupt | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ maxIterations()

void hpp::core_idl::PathPlanner::maxIterations | ( | in size_type | n | ) |
raises | ( | Error
| ) |  |

## ◆ oneStep()

void hpp::core_idl::PathPlanner::oneStep | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ solve()

PathVector hpp::core_idl::PathPlanner::solve | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ startSolve()

void hpp::core_idl::PathPlanner::startSolve | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ stopWhenProblemIsSolved()

void hpp::core_idl::PathPlanner::stopWhenProblemIsSolved | ( | in boolean | enable | ) |
raises | ( | Error
| ) |  |

## ◆ timeOut()

void hpp::core_idl::PathPlanner::timeOut | ( | in value_type | seconds | ) |
raises | ( | Error
| ) |  |

## ◆ tryConnectInitAndGoals()

void hpp::core_idl::PathPlanner::tryConnectInitAndGoals | ( |  | ) |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/core_idl/path_planners.idl